Bug 253714 - reduce size of vmcore when doing cp from init script
Summary: reduce size of vmcore when doing cp from init script
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools   
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-21 13:07 UTC by Neil Horman
Modified: 2008-09-25 12:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 12:46:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Horman 2007-08-21 13:07:13 UTC
Description of problem:
In fucntion save_core int he initscript for kexec tools we can reduce core dump
image size by producing sparse files with the --sparse=always options

Comment 1 Neil Horman 2007-08-21 15:29:25 UTC
fixed in fedora

Comment 2 Neil Horman 2007-08-21 20:23:21 UTC
This is checked into my private 5.2 branch, and will be merged as soon as 5.1 ships

Comment 3 Neil Horman 2007-08-22 17:33:07 UTC
http://people.redhat.com/nhorman/rpms/kexec-tools-1.101-195.el5.tbz2

The above link is a tarball of test kexec-tools rpms which contain a fix for
this bz.  Please test them and confirm the fix to smooth the checkin process
once the tree opens.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.